Bug 1276871 - (python-nibabel) Review Request: python-nibabel - Python package to access a cacophony of neuro-imaging file formats
Review Request: python-nibabel - Python package to access a cacophony of neur...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: python-pydicom 1286349
Blocks: fedora-neuro python-PyMVPA python-commit python-nipy 1278293 python-gradunwarp
  Show dependency treegraph
 
Reported: 2015-10-31 14:46 EDT by Igor Gnatenko
Modified: 2015-12-05 20:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-05 20:22:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-10-31 14:46:31 EDT
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/ignatenkobrain/neurofedora/python-nibabel.git/plain/python-nibabel.spec?id=6e4fc2e255f005598def062c37237bfb78c0217b
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ignatenkobrain/neurofedora/fedora-rawhide-x86_64/00131724-python-nibabel/python-nibabel-2.0.1-1.fc24.src.rpm
Description:
Read / write access to some common neuroimaging file formats

This package provides read +/- write access to some common medical and
neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2 and
later), GIFTI, NIfTI1, NIfTI2, MINC1, MINC2, MGH and ECAT as well as Philips
PAR/REC. We can read and write Freesurfer geometry, and read Freesurfer
morphometry and annotation files. There is some very limited support for DICOM.
NiBabel is the successor of PyNIfTI.

The various image format classes give full or selective access to header (meta)
information and access to the image data is made available via NumPy arrays.
Fedora Account System Username: ignatenkobrain
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-24 17:25:47 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* MIT/X11 (BSD like)",
     "Unknown or generated". 354 files have unknown license. Detailed
     output of licensecheck in /var/tmp/1276871-python-
     nibabel/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
Please add a comment about the breakdown.

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
OK.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
/usr/bin/env unnecessary.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
See below.

[ -: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-nibabel , python3-nibabel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-nibabel-2.0.2-1.fc24.noarch.rpm
          python3-nibabel-2.0.2-1.fc24.noarch.rpm
          python-nibabel-2.0.2-1.fc24.src.rpm
python2-nibabel.noarch: W: spelling-error Summary(en_US) neuro -> euro, neuron, negro
python2-nibabel.noarch: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python2-nibabel.noarch: W: spelling-error %description -l en_US morphometry -> metamorphose
python2-nibabel.noarch: W: invalid-license PDDL-1.0
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses has a list of valid short license names. Is this PDDL thing really needed? MIT gives pretty much all the rights.

python2-nibabel.noarch: W: no-documentation
python2-nibabel.noarch: W: no-manual-page-for-binary nib-ls-2
python2-nibabel.noarch: W: no-manual-page-for-binary nib-dicomfs-2.7
python2-nibabel.noarch: W: no-manual-page-for-binary nib-nifti-dx-2
python2-nibabel.noarch: W: no-manual-page-for-binary nib-dicomfs-2
python2-nibabel.noarch: W: no-manual-page-for-binary parrec2nii-2.7
python2-nibabel.noarch: W: no-manual-page-for-binary python2-nib-dicomfs
python2-nibabel.noarch: W: no-manual-page-for-binary python2-nib-ls
python2-nibabel.noarch: W: no-manual-page-for-binary python2-nib-nifti-dx
python2-nibabel.noarch: W: no-manual-page-for-binary parrec2nii-2
python2-nibabel.noarch: W: no-manual-page-for-binary nib-nifti-dx-2.7
python2-nibabel.noarch: W: no-manual-page-for-binary python2-parrec2nii
python2-nibabel.noarch: W: no-manual-page-for-binary nib-ls-2.7
python3-nibabel.noarch: W: spelling-error Summary(en_US) neuro -> euro, neuron, negro
python3-nibabel.noarch: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python3-nibabel.noarch: W: spelling-error %description -l en_US morphometry -> metamorphose
python3-nibabel.noarch: W: invalid-license PDDL-1.0
python3-nibabel.noarch: W: no-documentation
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/loadsave.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/fileholders.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/__pycache__/structreader.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/rstutils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nisext/tests/__pycache__/test_sexts.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/dft.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_image_load_save.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_environment.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_funcs.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_utils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/wrapstruct.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/ecat.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_batteryrunners.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_scripts.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/deprecated.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/casting.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_ecat.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/benchmarks/__pycache__/butils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_openers.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/__pycache__/gifti.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/test_dicomwrappers.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/freesurfer/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/minc.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/minc1.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/__pycache__/utils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/benchmarks/__pycache__/bench_finite_range.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/orientations.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_files_interface.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/benchmarks/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/tests/__pycache__/test_gifti.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/quaternions.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_minc2_data.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_trackvis.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/trackvis.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/pkg_info.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_deprecated.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/__pycache__/parse_gifti_fast.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_tmpdirs.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/freesurfer/__pycache__/mghformat.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/filename_parser.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/nifti2.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/fileslice.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nisext/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/spatialimages.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_parrec.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_ecat_data.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/tmpdirs.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_affines.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_helpers.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_spatialimages.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/tripwire.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/keywordonly.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_quaternions.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/freesurfer/tests/__pycache__/test_io.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/spm2analyze.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/imageglobals.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/affines.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_arraywriters.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/benchmarks/__pycache__/bench_array_to_file.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/imageclasses.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/freesurfer/tests/__pycache__/test_mghformat.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_proxy_api.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_analyze.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_recoder.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/scriptrunner.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_orientations.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_fileslice.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/parrec.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/__pycache__/util.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/benchmarks/__pycache__/bench_fileslice.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_floating.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/__pycache__/dwiparams.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/test_csareader.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/test_dicomreaders.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_image_api.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_keywordonly.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/__pycache__/dicomwrappers.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/checkwarns.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/minc2.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/mriutils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_fileholders.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nisext/__pycache__/sexts.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/__pycache__/giftiio.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/optpkg.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_scaling.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_nifti1.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_minc2.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/arrayproxy.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nisext/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/funcs.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/freesurfer/__pycache__/io.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/analyze.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_spm2analyze.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_round_trip.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_wrapstruct.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/volumeutils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/arraywriters.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nisext/__pycache__/testers.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/testing/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_nifti2.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_filehandles.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/eulerangles.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/onetime.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_data.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_mriutils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/batteryrunners.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/py3k.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/spm99analyze.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_nibabel_data.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nisext/__pycache__/py3builder.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/__pycache__/csareader.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/benchmarks/__pycache__/bench_load_save.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_spaces.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/info.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/nibabel_data.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_checkwarns.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nisext/tests/__pycache__/test_testers.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/test_dwiparams.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_rstutils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/freesurfer/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_imageglobals.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_testing.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_casting.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_tripwire.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/environment.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/openers.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/__pycache__/dicomreaders.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_dft.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/data_pkgs.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/test_utils.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/tests/__pycache__/test_structreader.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_arrayproxy.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/data/__pycache__/check_parrec_reslice.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/spaces.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_endiancodes.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/nifti1.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/gifti/tests/__pycache__/test_giftiio.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_loadsave.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_filename_parser.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_parrec_data.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/__pycache__/data.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/nicom/__pycache__/__init__.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_euler.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_api_validators.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_minc1.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/nibabel/tests/__pycache__/test_spm99analyze.cpython-35.opt-1.pyc
python3-nibabel.noarch: W: no-manual-page-for-binary nib-nifti-dx-3.5
python3-nibabel.noarch: W: no-manual-page-for-binary nib-nifti-dx-3
python3-nibabel.noarch: W: no-manual-page-for-binary python3-nib-nifti-dx
python3-nibabel.noarch: W: no-manual-page-for-binary parrec2nii-3.5
python3-nibabel.noarch: W: no-manual-page-for-binary python3-nib-dicomfs
python3-nibabel.noarch: W: no-manual-page-for-binary python3-nib-ls
python3-nibabel.noarch: W: no-manual-page-for-binary parrec2nii-3
python3-nibabel.noarch: W: no-manual-page-for-binary nib-dicomfs
python3-nibabel.noarch: W: no-manual-page-for-binary nib-ls-3
python3-nibabel.noarch: W: no-manual-page-for-binary python3-parrec2nii
python3-nibabel.noarch: W: no-manual-page-for-binary nib-dicomfs-3
python3-nibabel.noarch: W: no-manual-page-for-binary nib-nifti-dx
python3-nibabel.noarch: W: no-manual-page-for-binary nib-dicomfs-3.5
python3-nibabel.noarch: W: no-manual-page-for-binary nib-ls-3.5
python3-nibabel.noarch: W: no-manual-page-for-binary parrec2nii
python3-nibabel.noarch: W: no-manual-page-for-binary nib-ls
python-nibabel.src: W: spelling-error Summary(en_US) neuro -> euro, neuron, negro
python-nibabel.src: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python-nibabel.src: W: spelling-error %description -l en_US morphometry -> metamorphose
python-nibabel.src: W: invalid-license PDDL-1.0
3 packages and 0 specfiles checked; 0 errors, 193 warnings.

OK.

Requires
--------
python3-nibabel (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python3
    python(abi)
    python3-numpy
    python3-scipy
    python3-six

python2-nibabel (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python2
    numpy
    python(abi)
    python-six
    scipy

Provides
--------
python3-nibabel:
    python3-nibabel

python2-nibabel:
    python-nibabel
    python-nibabel(x86-64)
    python2-nibabel

Issues
------

- license clarification
- do not use '#!/usr/bin/env /usr/bin/python...' in the scripts. Use just
      sed -i '1s|^.*$|#!%{__python2}|' python2-$mod
      sed -i '1s|^.*$|#!%{__python3}|' python2-$mod

OK, some trivial fixups necessary. Package is APPROVED.
Comment 3 Igor Gnatenko 2015-11-24 17:35:32 EST
About license. I think I need to include PDDL to license lists because some data licensed under this license.

http://opendatacommons.org/licenses/pddl/summary/

It's like Public Domain but for data. I will fix env stuff during import.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-11-24 19:24:04 EST
Please also add a comment about the license in the .spec file.
Comment 5 Till Maas 2015-11-26 15:20:30 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-nibabel
Comment 6 Fedora Update System 2015-11-26 18:27:30 EST
python-nibabel-2.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-89b5359814
Comment 7 Fedora Update System 2015-11-27 21:20:26 EST
python-nibabel-2.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-nibabel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-89b5359814
Comment 8 Fedora Update System 2015-12-05 20:22:29 EST
python-nibabel-2.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.